日報取得
GET
/daily_reports/{daily_report_id}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/timecard/daily_reports/1234';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/timecard/daily_reports/1234 \ --header 'Authorization: Bearer <token>'日報を取得します
対象
- プラン
- エンタープライズ、旧有料
- オプション
- 日報
対象ユーザー権限
- 日報管理閲覧
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”daily_report_id
required
string
日報ID
Example
1234Responses
Section titled “Responses”取得成功
Media typeapplication/json
object
dailyReportId
日報ID
string
report
報告書
string
staffId
従業員ID
string
attendance
出勤時刻 [YYYY-MM-DDThh:mm:ssTZD]
string format: date-time
leaving
退勤時刻 [YYYY-MM-DDThh:mm:ssTZD]
string format: date-time
dutyHour
勤務時間(小数)(時間)
string
tagList
日報タグリスト
Array<object>
object
dailyReportTagId
日報タグID
string
name
日報タグ名
string
tagHour
日報タグ労働時間(小数)(時間)
string
color
カラー
string
Example
{ "dailyReportId": "1234", "report": "作業報告", "staffId": "1", "attendance": "2020-05-01T09:00:00+09:00", "leaving": "2020-05-01T18:00:00+09:00", "dutyHour": "8.00", "tagList": [ { "dailyReportTagId": "1", "name": "ミーティング", "tagHour": "1.25", "color": "#73c117" }, { "dailyReportTagId": "5", "name": "外回り", "tagHour": "6.75", "color": "#45B7D1" } ]}- 指定したIDのデータが存在しない場合
Media typeapplication/json
object
type
エラータイプを識別するURI、もしくはabout:blank
string
title
エラーの概要
string
detail
エラーの詳細
string
Example
{ "type": "about:blank", "title": "Not Found", "detail": "データが確認できませんでした。日報ID: 999"}